import 'package:json_annotation/json_annotation.dart';

part 'device_share.g.dart';

@JsonSerializable()
class DeviceShareModel {
  String? name; //设备名称
  String? phone; //被分享手机号
  DateTime? share_time; //分享时间

  DeviceShareModel();
  static DeviceShareModel fromJson(Map<String, dynamic> json) =>
      _$DeviceShareModelFromJson(json);
  Map<String, dynamic> toJson() => _$DeviceShareModelToJson(this);
}
